<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$academic_edit = new academic_edit();

// Run the page
$academic_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$academic_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var facademicedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	facademicedit = currentForm = new ew.Form("facademicedit", "edit");

	// Validate form
	facademicedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($academic_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $academic_edit->id->caption(), $academic_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($academic_edit->Academic->Required) { ?>
				elm = this.getElements("x" + infix + "_Academic");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $academic_edit->Academic->caption(), $academic_edit->Academic->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($academic_edit->Status->Required) { ?>
				elm = this.getElements("x" + infix + "_Status[]");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $academic_edit->Status->caption(), $academic_edit->Status->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	facademicedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	facademicedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	facademicedit.lists["x_Status[]"] = <?php echo $academic_edit->Status->Lookup->toClientList($academic_edit) ?>;
	facademicedit.lists["x_Status[]"].options = <?php echo JsonEncode($academic_edit->Status->options(FALSE, TRUE)) ?>;
	loadjs.done("facademicedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $academic_edit->showPageHeader(); ?>
<?php
$academic_edit->showMessage();
?>
<form name="facademicedit" id="facademicedit" class="<?php echo $academic_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="academic">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$academic_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($academic_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_academic_id" class="<?php echo $academic_edit->LeftColumnClass ?>"><?php echo $academic_edit->id->caption() ?><?php echo $academic_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $academic_edit->RightColumnClass ?>"><div <?php echo $academic_edit->id->cellAttributes() ?>>
<span id="el_academic_id">
<span<?php echo $academic_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($academic_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="academic" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($academic_edit->id->CurrentValue) ?>">
<?php echo $academic_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($academic_edit->Academic->Visible) { // Academic ?>
	<div id="r_Academic" class="form-group row">
		<label id="elh_academic_Academic" for="x_Academic" class="<?php echo $academic_edit->LeftColumnClass ?>"><?php echo $academic_edit->Academic->caption() ?><?php echo $academic_edit->Academic->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $academic_edit->RightColumnClass ?>"><div <?php echo $academic_edit->Academic->cellAttributes() ?>>
<span id="el_academic_Academic">
<input type="text" data-table="academic" data-field="x_Academic" name="x_Academic" id="x_Academic" size="30" maxlength="7" placeholder="<?php echo HtmlEncode($academic_edit->Academic->getPlaceHolder()) ?>" value="<?php echo $academic_edit->Academic->EditValue ?>"<?php echo $academic_edit->Academic->editAttributes() ?>>
</span>
<?php echo $academic_edit->Academic->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($academic_edit->Status->Visible) { // Status ?>
	<div id="r_Status" class="form-group row">
		<label id="elh_academic_Status" class="<?php echo $academic_edit->LeftColumnClass ?>"><?php echo $academic_edit->Status->caption() ?><?php echo $academic_edit->Status->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $academic_edit->RightColumnClass ?>"><div <?php echo $academic_edit->Status->cellAttributes() ?>>
<span id="el_academic_Status">
<div id="tp_x_Status" class="ew-template"><input type="checkbox" class="custom-control-input" data-table="academic" data-field="x_Status" data-value-separator="<?php echo $academic_edit->Status->displayValueSeparatorAttribute() ?>" name="x_Status[]" id="x_Status[]" value="{value}"<?php echo $academic_edit->Status->editAttributes() ?>></div>
<div id="dsl_x_Status" data-repeatcolumn="5" class="ew-item-list d-none"><div>
<?php echo $academic_edit->Status->checkBoxListHtml(FALSE, "x_Status[]") ?>
</div></div>
</span>
<?php echo $academic_edit->Status->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$academic_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $academic_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $academic_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$academic_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$academic_edit->terminate();
?>